import WrappedDrawing from "./wrapped-drawing";
import type { Coord } from "./types";
import type { VisibleShape } from "./wrapped-drawing";
declare class WrappedLine extends WrappedDrawing {
    initialLength: number;
    wrapper: HTMLDivElement;
    visibleShape: VisibleShape;
    constructor(graphie: any, start: Coord, end: Coord, options: any);
    getMouseTarget(): HTMLDivElement;
    moveTo(start: any, end: any): void;
}
export default WrappedLine;
